Remove Protected Database

delete

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/protectedDatabases/{protectedDatabaseName}

Remove a protected database from a Recovery Appliance.

Request

Path Parameters
  • Protected database unique name or target name. If the value specified is a database target name in Enterprise Manager, then targetType parameter must also be specified in the URL. If targetType is not specified, this name will be assumed to be the protected database unique name.
    Example:
    PROTDB1
  • Recovery Appliance Target id.
    Example:
    F76BBCCBD8A0D4719A8AA588375FA8BE
Query Parameters
  • Protected Database target type. This can be oracle_database or rac_database. If this parameter is not specified, the protectedDatabaseName specified will be assumed to be the protected database unique name.
    Example:
    oracle_database
Header Parameters
  • Recovery Appliance Administrator Credentials. The format must be NAMED: (e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials.
    Example:
    NAMED:ORSADMIN

There's no request body for this operation.

Back to Top

Response

Supported Media Types

202 Response

Accepted
Headers
Body ()
Root Schema : ProtectedDatabaseDPSubmissionRemove
Type: object
Protected database deployment procedure status.
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top